---
title: 'Get the rank of a user based on their loyalty points'
description: 'This api can only return the rank upto 5000, after that it will return ''5000+''. Returns the user''s rank determined by their loyalty points for the specified loyalty currency. This can be a slow operation for large organizations. We recommend caching when possible.'
openapi: GET /api/loyalty/accounts/{id}/rank
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`GET /api/loyalty/accounts/{id}/rank` — path parameters: `id`; query parameters: `websiteId`, `organizationId`, `loyaltyCurrencyId`

`GET https://admin.snagsolutions.io/api/loyalty/accounts/{id}/rank`

This api can only return the rank upto 5000, after that it will return '5000+'. Returns the user's rank determined by their loyalty points for the specified loyalty currency. This can be a slow operation for large organizations. We recommend caching when possible.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required) — UUID of the account

## Query parameters

- `websiteId` (string, required) — UUID of the website
- `organizationId` (string, required) — UUID of the organization
- `loyaltyCurrencyId` (string, required) — UUID of the loyalty currency

## Response 200

200
  - response (object) — Schema for a get account rank response
    - `rank` (number, required) — Rank of the user. null means the user has no amount. This api can only return the rank upto 5000, after that it will return "5000+"

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 404

404
  - response (object) — Schema for not found response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
